<?php
class Interesse_crud_model extends grocery_CRUD_Model  {
  /*nunca estive aqui by robygol*/
  /*nem o filipe passou aqui */
    function get_list()
    {
        $this->db->select('cad_interesse.id_interesse, cad_interesse.id_captura, cad_interesse.faixa_preco_inicio, cad_interesse.faixa_preco_fim, (SELECT GROUP_CONCAT(bairro SEPARATOR ", ") FROM cad_interesse_bairros as b) as bairros');
    	
    	$this->db->where('ativo',1);
    	$this->db->where('interesse_painel_cs',0);
    	
    	$this->db->from('cad_interesse'); 
    	$this->db->join('cad_interesse_bairros','cad_interesse.id_interesse = cad_interesse_bairros.id_interesse'); 
    	$this->db->join('cad_captura','cad_captura.id_captura = cad_interesse.id_captura'); 
    	
    	$query = $this->db->get()->result();
    	
    	//echo $this->db->last_query();
    	
    	return $query;
    }
    
  	function get_total_results()
  	{
    	$this->db->select('cad_interesse.id_interesse, cad_interesse.id_captura, cad_interesse.faixa_preco_inicio, cad_interesse.faixa_preco_fim, (SELECT GROUP_CONCAT(bairro SEPARATOR ", ") FROM cad_interesse_bairros as b) as bairros');
    	
    	$this->db->where('ativo',1);
    	$this->db->where('interesse_painel_cs',0);
    	
    	$this->db->from('cad_interesse'); 
    	$this->db->join('cad_interesse_bairros','cad_interesse.id_interesse = cad_interesse_bairros.id_interesse'); 
    	$this->db->join('cad_captura','cad_captura.id_captura = cad_interesse.id_captura'); 
    	
    	$query = $this->db->get()->result();
    	
    	return $query;
  	
  	}
        
}